# Uses of Class
org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.util.TelemetryMetricID

Packages that use TelemetryMetricID
Package
Description
org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.util

## Uses of TelemetryMetricID in org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.util

Methods in org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.util with parameters of type TelemetryMetricID
Modifier and Type
Method
Description
`Optional<io.opentelemetry.sdk.metrics.data.LongPointData>`
InMemoryMetricReader.`getGaugueMetricLatestValue(TelemetryMetricID id)`
`protected List<?>`
InMemoryMetricReader.`getPointData(TelemetryMetricID id)`
`long`
InMemoryMetricReader.`readLongData(TelemetryMetricID id)`
Constructors in org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.util with parameters of type TelemetryMetricID
Modifier
Constructor
Description
``
`TelemetryCounterMetric(TelemetryMetricID metricId)`
``
`TelemetryGaugeMetric(TelemetryMetricID metricId)`
``
`TelemetryHistogramMetric(TelemetryMetricID metricId)`